<nav class="navbar navbar-light " style=" background-color: #001aff;">
  <div class="container-fluid">
    <a class="navbar-brand" href="#">
      
      <p class="text-white">DEMO AGENT BROWSER NEW RELIC WITH ANGULAR</p>
    </a>
  </div>
</nav>



<div class="container mt-3">
  <div class="card">
    <div class="card-body ">

      <div class="row d-flex justify-content-center">

        <div class="col-4">
          <input class="form-control me-2" [(ngModel)]="name" type="search" placeholder="Search Pokemon"
            aria-label="Search Pokemon">
        </div>
        <div class="col-2"><button class="btn btn-outline-success" (click)="search()"> <i class="fas fa-search"></i>
            Search</button></div>

      </div>
    </div>
  </div>
</div>


<div class="d-flex">
  <div class="wrapper">
    <div class="team">

      <div class="card" *ngFor="let item of pokemons">
        <div class="card-img">
          <img class="" src="{{ item.img }}" alt="">
        </div>
        <div class="card-cuerpo">
          <div class="row">
            <div class="col-12 col-lg-12">
              <h6 class=" text-uppercase">{{ item.name }}</h6>
            </div>

          </div>
          <div class="row my-3">
            <div class="col-12 col-lg-12">
       
              <p class="h6">Pokemon Information</p>
            </div>

          </div>

          <div class="row">
            <div class="col-12 col-lg-12">
              <p>HP: <b>{{item.hp}}K</b></p>
            </div>
            <div class="col-12 col-lg-12">
              <p>Level Attack: <b>{{item.attack}}K</b></p>
            </div>
            <div class="col-12 col-lg-12">
              <p>Level Defense: <b>{{item.defense}}K</b> </p>
            </div>
            <div class="col-12 col-lg-12">
              <h5 class=" text-uppercase">{{item.type}}</h5>   
            </div>
          </div>
        </div>
      </div>


    </div>
  </div>
</div>


<router-outlet></router-outlet>